summary = """
    The Kruskal-Wallis Test is a non-parametric method for testing whether samples originate from the same distribution. 
    It is used for comparing medians across three or more groups, serving as a non-parametric alternative to one-way ANOVA when the data do not meet ANOVA's 
    normality or homogeneity of variance assumptions. Applications include:

    * Situations with ordinal data or when the scale of measurement does not justify the assumption of interval scaling.
    * Data that do not meet the requirements of normal distribution, which is crucial for ANOVA.

    The test ranks all group data together and then evaluates the differences between the ranks of each group. 
    A significant Kruskal-Wallis test suggests that at least one sample median differs from the others.
"""
